Deployments.ai Docs
Observability

List traces for a session

GET /v1/observability/sessions/{sessionId}/traces · SDK listObservabilitySessionTraces · CLI deployments trace session

GET
/v1/observability/sessions/{sessionId}/traces

Requires observability:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

sessionId*string
Length1 <= length <= 160

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100
from?string

Inclusive window start (RFC 3339).

Formatdate-time
to?string

Window end (RFC 3339).

Formatdate-time
status?string
Length1 <= length <= 64
agentDefinitionId?string

Only traces whose root run executed a release of this agent definition.

Match^[A-Za-z0-9._:-]+$
Length1 <= length <= 160
agentDeploymentId?string

Only traces whose root run executed this agent deployment.

Match^[A-Za-z0-9._:-]+$
Length1 <= length <= 160
agentReleaseId?string

Only traces whose root run executed this agent release.

Match^[A-Za-z0-9._:-]+$
Length1 <= length <= 160
executionPurpose?string

Only traces whose root run had this execution purpose.

Value in"customer""evaluation""preview"
errorClass?string

Only errored traces with this error class.

Match^[A-Za-z0-9._:-]+$
Length1 <= length <= 160

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ObservabilityTraceListResponse

application/json
  1. response
items*array<>
nextCursor?string|null
curl -X GET "https://example.com/v1/observability/sessions/string/traces" \  -H "x-deployments-organization: string"
{  "items": [    {      "agent_definition_id": "string",      "agent_deployment_id": "string",      "agent_release_id": "string",      "completed_at": "2019-08-24T14:15:22Z",      "duration_ms": 0,      "environment_id": "string",      "error_class": "string",      "execution_purpose": "string",      "fact_id": "string",      "finalized_at": "2019-08-24T14:15:22Z",      "occurred_at": "2019-08-24T14:15:22Z",      "project_id": "string",      "release_selection": "string",      "root_run_id": "string",      "run_count": 0,      "run_id": "string",      "session_id": "string",      "status": "string",      "total_cost_usd_micros": 0,      "total_tokens": 0,      "trace_id": "string",      "trigger": "string"    }  ],  "nextCursor": "string"}